=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.6.0-2) unstable; urgency=medium

  * Source-only upload for migration
  * Update prometheus-client-golang package name for Build-Depends and Depends
    in d/control
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 06 Jan 2024 01:30:40 +0000

golang-github-ovn-org-libovsdb (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #1059454)

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 30 Dec 2023 00:57:52 +0000
