=== debian/rules ===
#!/usr/bin/make -f

# Don't build binaries or examples and skip a test that expects Open vSwitch/docker to be available
export DH_GOLANG_EXCLUDES := cmd/ example/ test/ovs

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
