## golang-github-ovn-org-libovsdb 0.6.0+git20230912.239822f

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.6.0+git20230912.239822f-1) unstable; urgency=medium

  * Update to a snapshot version, which is required to build incus
  * Add a patch to fix test failure on 32bit architectures

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 06 Jan 2024 16:36:44 +0000
