=== debian/control ===
Source: golang-github-ovn-org-libovsdb
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-cenkalti-backoff-dev,
               golang-github-cenkalti-rpc2-dev,
               golang-github-go-logr-logr-dev,
               golang-github-go-logr-stdr-dev,
               golang-github-google-uuid-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-text-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb.git
Homepage: https://github.com/ovn-org/libovsdb
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/ovn-org/libovsdb

Package: golang-github-ovn-org-libovsdb-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-cenkalti-backoff-dev,
         golang-github-cenkalti-rpc2-dev,
         golang-github-go-logr-logr-dev,
         golang-github-go-logr-stdr-dev,
         golang-github-google-uuid-dev,
         golang-github-prometheus-client-golang-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-text-dev,
         ${misc:Depends}
Description: OVSDB Client Library
 OVSDB is the Open vSwitch Database Protocol. It's defined in RFC 7047
 and is used mainly for managing configuration of Open vSwitch and OVN.
