## golang-github-ovn-org-libovsdb 0.6.0+git20240125.03f787b

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.6.0+git20240125.03f787b-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Mathias Gibbens <gibmat@debian.org>  Mon, 01 Jul 2024 10:24:41 +0000

golang-github-ovn-org-libovsdb (0.6.0+git20240125.03f787b-1) unstable; urgency=medium

  * Update to current snapshot required by Incus
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 28 Jun 2024 14:10:24 +0000
