=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jul 2024 18:37:55 +0000
