=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-github-prometheus-client-golang-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb.git
 Homepage: https://github.com/ovn-org/libovsdb
