## golang-github-ovn-org-libovsdb 0.8.1

=== debian/changelog ===
golang-github-ovn-org-libovsdb (0.8.1-2) unstable; urgency=medium

  * Drop transitional package golang-github-ovn-org-libovsdb-dev

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 25 Oct 2025 15:04:46 +0000

golang-github-ovn-org-libovsdb (0.8.1-1) unstable; urgency=medium

  * New upstream release
    - Update patch for test failures on 32bit architectures
  * Rename binary package golang-github-ovn-org-libovsdb-dev to
    golang-github-ovn-kubernetes-libovsdb-dev to reflect change in upstream's
    repository move:
    - Update d/control, d/copyright, d/rules, d/u/metadata, and d/watch as
      part of this change
    - Make golang-github-ovn-org-libovsdb-dev a transitional package and add a
      Breaks for incus
  * d/control:
    - Update Build-Depends and Depends
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop redundant Rules-Requires-Root
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 18 Oct 2025 16:21:21 +0000
