=== debian/control ===
--- 
+++ 
@@ -11,24 +11,25 @@
                golang-github-cenkalti-rpc2-dev,
                golang-github-go-logr-logr-dev,
                golang-github-go-logr-stdr-dev,
+               golang-github-go-playground-validator-v10-dev (>= 10.28.0),
                golang-github-google-uuid-dev,
                golang-github-prometheus-client-golang-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-ovn-org-libovsdb.git
-Homepage: https://github.com/ovn-org/libovsdb
-Rules-Requires-Root: no
-XS-Go-Import-Path: github.com/ovn-org/libovsdb
+Homepage: https://github.com/ovn-kubernetes/libovsdb
+XS-Go-Import-Path: github.com/ovn-kubernetes/libovsdb
 
-Package: golang-github-ovn-org-libovsdb-dev
+Package: golang-github-ovn-kubernetes-libovsdb-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-cenkalti-backoff-dev,
          golang-github-cenkalti-rpc2-dev,
          golang-github-go-logr-logr-dev,
          golang-github-go-logr-stdr-dev,
+         golang-github-go-playground-validator-v10-dev (>= 10.28.0),
          golang-github-google-uuid-dev,
          golang-github-prometheus-client-golang-dev,
          golang-github-stretchr-testify-dev,
