=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 # DH_GOLANG_EXCLUDES, so manually remove it prior to the build.)
 override_dh_auto_configure:
 	dh_auto_configure
-	rm _build/src/github.com/ovn-org/libovsdb/modelgen/table_test.go
+	rm _build/src/github.com/ovn-kubernetes/libovsdb/modelgen/table_test.go
